/*******************************************************************************
Name:        "01.Report tables created.sql" 
Description: 
	Scripn introduces two new tables into the database (and the schema for them).

Input Parameters:
    None    
Returns:
    Nothing

Modification History
Sr  Date (MDY)  Modified By             Reason
1   ??/??/????  Alexander Karmanov      Initial version
*******************************************************************************/

SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
go
CREATE SCHEMA Reports
go
CREATE TABLE Reports.ReportHeaders
    (
     ReportSID INT IDENTITY(1, 1)
                   PRIMARY KEY
   , CreatedTS DATETIME NOT NULL
                        DEFAULT (GETDATE())
   , ReportType VARCHAR(50) NOT NULL
    )
ON  "ReportData"
go
	

CREATE TABLE Reports.ReportLines
    (ReportSID INT NOT NULL
   , AttributeTypeId INT NOT NULL
   , AttributeAmount NUMERIC(10, 2)
    ) ON  "ReportData"
ALTER TABLE Reports.ReportLines ADD CONSTRAINT pk_Reports_ReportLines PRIMARY KEY (ReportSid, AttributeTypeId)
ALTER TABLE Reports.ReportLines ADD CONSTRAINT fk_Reports_ReportLines_to_ReportHeaders FOREIGN KEY (ReportSid) REFERENCES Reports.ReportHeaders (ReportSID) 

GO
