set ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON
set NUMERIC_ROUNDABORT off
go

IF OBJECT_ID('dbo.ExecuteSchemaModificationCommand') IS NOT NULL  SET NOEXEC ON
go
PRINT 'dbo.ExecuteSchemaModificationCommand: creating procedure stub'
go

CREATE PROCEDURE dbo.ExecuteSchemaModificationCommand
AS 
PRINT 'dbo.ExecuteSchemaModificationCommand: not implemented yet.'
go
SET NOEXEC OFF
go


print 'dbo.ExecuteSchemaModificationCommand: procedure creation script started'            
go
/*******************************************************************************
Name:        dbo.ExecuteSchemaModificationCommand
Description: 
    Procedure executes a given sql command which modifies database schema.
        
    In order to avoid database build number invalidation by the DDL Watchdog 
    trigger that trigger is disabled for the moment of the command execution.
    
    This is a helper procedure substituting sp_executesql command calls from 
    other database procedures which ligitemately modify database schema,
    but which changes are not considered as database schema changes.
    
    No transaction or error handling in here - it is responsibility of the caller.
        
Input Parameters:
    SQL command with no input parameters.
Returns:
    Nothing

Modification History
Sr  Date (MDY)  Modified By             Reason
1   11/11/2011  Alexander Karmanov      Initial version
*******************************************************************************/
alter procedure dbo.ExecuteSchemaModificationCommand
    @Statement nvarchar(max)
as
begin
    set nocount on
    
    execute dbo.ToggleDdlWatchdogTriggerState
	    @NewTriggerState = 'off'
	    
    execute sp_executesql @stmt = @Statement
    
    execute dbo.ToggleDdlWatchdogTriggerState
	    @NewTriggerState = 'on'
end
go

exec sys.sp_MS_marksystemobject 'dbo.ExecuteSchemaModificationCommand'

go

print 'dbo.ExecuteSchemaModificationCommand: procedure creation script finished'
