SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
go

IF OBJECT_ID('dbo.LogError') IS NOT NULL 
    SET NOEXEC ON
go
PRINT 'dbo.LogError: creating procedure stub'
go

CREATE PROCEDURE dbo.LogError
AS 
    PRINT 'dbo.LogError: not implemented yet.'
go
SET NOEXEC OFF
go

PRINT 'dbo.LogError: procedure creation script started'            
go
/*******************************************************************************
Name:        dbo.LogError
Description: 
    Procedure logs error into SQL Server log without raising that error to the caller.
        
Input Parameters:
    Error message
Returns:
    Nothing

Modification History
Sr  Date (MDY)  Modified By             Reason
1   11/11/2011  Alexander Karmanov      Initial version
*******************************************************************************/
ALTER PROCEDURE dbo.LogError
    @ErrorMessage NVARCHAR(MAX)
    WITH EXECUTE AS owner
AS 
    BEGIN
        SET nocount ON
    
        BEGIN TRY
            RAISERROR (@ErrorMessage, 16, 1) WITH log
        END TRY
        BEGIN CATCH
        END CATCH	

    END
go

exec sys.sp_MS_marksystemobject 'dbo.LogError'
go
PRINT 'dbo.LogError: procedure creation script finished'
