SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON
SET NUMERIC_ROUNDABORT OFF
go
IF OBJECT_ID('Reports.GetTheBigBossReport') IS NOT NULL 
    SET NOEXEC ON
    
PRINT 'Reports.GetTheBigBossReport: creating initial routine stub'    
go
CREATE PROCEDURE Reports.GetTheBigBossReport
AS 
    BEGIN
        PRINT 'Reports.GetTheBigBossReport: routine not implemented yet'
        RETURN -1
    END
go
SET NOEXEC OFF
go

PRINT 'Reports.GetTheBigBossReport: routine code is updated'            
go
/*******************************************************************************
Name:       
    Reports.GetTheBigBossReport
Description: 
    
    This example routine retuns report line attributes by report surrogate id.
        
Input Parameters:
    None    
Returns:
    Nothing

Modification History
Sr  Date (MDY)  Modified By             Reason
1   ?????????   Alexander Karmanov      Initial version
2   ?????????   Alexander Karmanov      Added report's comments 
                                        to each line in the output.
*******************************************************************************/
ALTER PROCEDURE Reports.GetTheBigBossReport @ReportSid INT
AS 
    BEGIN
        SET nocount ON
    
        SELECT rl.AttributeTypeId
              , rl.AttributeAmount
              , rh.Comments
            FROM Reports.ReportLines AS rl
                JOIN Reports.ReportHeaders AS rh 
                    ON rl.ReportSID = rh.ReportSID
            WHERE rh.ReportSID = @ReportSid
                    
    END
go

PRINT 'Reports.GetTheBigBossReport: procedure creation script finished'
go